Skip to main content

Batch delete requests from default request queue

DELETE 

/v2/actor-runs/:runId/request-queue/requests/batch

Batch-deletes requests from the default request queue of the Actor run.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the Delete requests endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T

Query Parameters

    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Header Parameters

    Content-Type string required

Body arrayrequired

    anyOf
  • id RequestId (string) required

    A unique identifier assigned to the request.


    Example: sbJ7klsdf7ujN9l
  • uniqueKey UniqueKey (string)

    A unique key used for request de-duplication. Requests with the same unique key are considered identical.


    Example: GET|60d83e70|e3b0c442|https://apify.com

Status 200

Response Headers
    {
    "data": {
    "processedRequests": [
    {
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "id": "sbJ7klsdf7ujN9l"
    },
    {
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "id": "sbJ7klsdf7ujN9l"
    }
    ],
    "unprocessedRequests": [
    {
    "id": "sbJ7klsdf7ujN9l",
    "uniqueKey": "GET|60d83e70|e3b0c442|https://apify.com",
    "url": "https://apify.com",
    "method": "GET"
    }
    ]
    }
    }